PDA

View Full Version : GL_SHADING_LANGUAGE_VERSION error!



Optik
01-05-2010, 05:19 AM
hi,

Upon querying the OpenGL state for the current version using glGetString(GL_VERSION) I get the result correctly as version 3.1

However my compiler( I use Visual C++ 2005) throws an error at me saying GL_SHADNG_LANGUAGE_VERSION is an undeclared identifier, when i attempt to get the GLSL version in the same way.

I know that GL_SHADING_LANGUAGE_VERSION is only defined after version 2.0, but im running 3.1! why does this error occur? Can someone help me quick please.

I also checked with the OpenGL extensions viewer
this is the output i get :


Renderer: GeForce 8600 GTS/PCI/SSE2
Vendor: NVIDIA Corporation
Memory: 256 MB
Version: 3.1.0
Shading language version: 1.40 NVIDIA via Cg compiler

regards
Optik

ZbuffeR
01-05-2010, 05:51 AM
GL_SHADNG_LANGUAGE_VERSION is an undeclared identifier
try with GL_SHADING_LANGUAGE_VERSION :)
Otherwise, do you include latest glext.h ? It is in it.
http://www.opengl.org/registry/api/glext.h

Optik
01-05-2010, 07:17 AM
Thanks a lot Zbuffer. that fixed it. ( not GL_SHADING_LANGUAGE_VERSION :D)
i did not include glext.h

Thanks a lot again!

regards
Optik